Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.cd.v1
Enum CDREVCOMPONENTvalues

    java.lang.Object
      java.lang.Enum<CDREVCOMPONENTvalues>
          be.fgov.ehealth.standards.kmehr.cd.v1.CDREVCOMPONENTvalues

All Implemented Interfaces:
  Serializable, Comparable<CDREVCOMPONENTvalues>

    public enum CDREVCOMPONENTvalues

extends Enum<CDREVCOMPONENTvalues>

Java class for CD-REV-COMPONENTvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-REV-COMPONENTvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="patella"/>
         <enumeration value="femur"/>
         <enumeration value="tibia"/>
         <enumeration value="insert"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`FEMUR`
`INSERT`
`PATELLA`
`TIBIA`

Method Summary
`static CDREVCOMPONENTvalues` | `fromValue(String v)`
`String` | `value()`
`static CDREVCOMPONENTvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDREVCOMPONENTvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PATELLA

    public static final CDREVCOMPONENTvalues PATELLA

### FEMUR

    public static final CDREVCOMPONENTvalues FEMUR

### TIBIA

    public static final CDREVCOMPONENTvalues TIBIA

### INSERT

    public static final CDREVCOMPONENTvalues INSERT

Method Detail

### values

    public static CDREVCOMPONENTvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDREVCOMPONENTvalues c : CDREVCOMPONENTvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDREVCOMPONENTvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDREVCOMPONENTvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSAUDIOLOGIST 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.